- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends

# FbxPlug Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Top level class for any FBX object that requires ClassId functionality.

For more information about ClassId, please refer to the FbxClassId documentation.

See also:
  FbxClassId, FbxObject

Definition at line 241 of file fbxplug.h.

`#include <fbxplug.h>`

Inheritance diagram for FbxPlug:
[legend]

List of all members.

## Public Member Functions
virtual void | Destroy (bool pRecursive=false, bool pDependents=false)
| Unregister and delete this object.
virtual FbxManager * | GetFbxManager () const
| Retrieve the FBX SDK Manager associated to this object.
virtual bool | Is (FbxClassId pClassId) const
| Test if this class is a hierarchical children of the specified class type.
template<class T >
bool | Is (T *pFBX_TYPE) const
| Templated test if this class is a hierarchical children of the specified class type.
virtual bool | IsRuntime (FbxClassId pClassId) const
| Test if this class is a hierarchical children of the specified class type.
virtual bool | SetRuntimeClassId (FbxClassId pClassId)
| Set the run-time ClassId for this class.
virtual FbxClassId | GetRuntimeClassId () const
| Retrieve the run-time ClassId for this object.
virtual bool | IsRuntimePlug () const
| Find out if the ClassId was registered during run-time rather than at compile time.
## Static Public Member Functions
static void | SetWipeMode (bool pState)
static bool | GetWipeMode ()
## Protected Member Functions
| FbxPlug ()
| FbxPlug (FbxManager &, const char *)
virtual | ~FbxPlug ()
virtual void | Construct (const FbxPlug *pFrom)
virtual void | Destruct (bool pRecursive, bool pDependents)
## Friends
class | FbxProperty
class | FbxObject

## Constructor & Destructor Documentation

FbxPlug | ( |  | ) | `[inline, protected]`

Definition at line 318 of file fbxplug.h.

    {}

FbxPlug | ( | FbxManager & | ,
|  | const char * |
| ) |  | `[inline, protected]`

Definition at line 319 of file fbxplug.h.

    {}

virtual ~FbxPlug | ( |  | ) | `[inline, protected, virtual]`

Definition at line 320 of file fbxplug.h.

    {}

## Member Function Documentation

virtual void Destroy | ( | bool | pRecursive = `false`,
|  | bool | pDependents = `false`
| ) |  | `[virtual]`

Search for all occurrences

Unregister and delete this object.

This will also breaks all connections to this object as well as removing all the instance of all the properties of this object with the object's class.

Parameters:

  pRecursive | Unused parameter, deprecated.
  pDependents | Unused parameter, deprecated.

Examples:
  Common/Common.cxx, ConvertScene/main.cxx, and ExportDocument/main.cxx.

virtual FbxManager* GetFbxManager | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Retrieve the FBX SDK Manager associated to this object.

There is no implementation at the level of FbxPlug. A basic implementation is available at the FbxObject level.

Returns:
  A pointer to the FBX SDK Manager of this object.

Reimplemented in FbxObject.

Definition at line 257 of file fbxplug.h.

    { return 0; }

virtual bool Is | ( | FbxClassId | pClassId | ) | const `[inline, virtual]`

Search for all occurrences

Test if this class is a hierarchical children of the specified class type.

This is the standard method to differentiate object classes.

Parameters:

  pClassId | The class type to test against self.

Returns:
  True if the object is a hierarchical children of the type specified.

Remarks:
  This function will perform a complete search until it reaches the top level class, but it will stop as soon as one ClassId matches the test.

Examples:
  ImportScene/DisplayMaterial.cxx.

Definition at line 264 of file fbxplug.h.

    { return GetClassId().Is(pClassId); }

bool Is | ( | T * | pFBX_TYPE | ) | const `[inline]`

Search for all occurrences

Templated test if this class is a hierarchical children of the specified class type.

Parameters:

  pFBX_TYPE | A direct pointer to the C++ type of the object to test against.

Returns:
  True if the object is a hierarchical children of the type specified.

Remarks:
  This function will perform a complete search until it reaches the top level class, but it will stop as soon as one ClassId matches the test.

Definition at line 271 of file fbxplug.h.

    { return Is(T::ClassId); }

virtual bool IsRuntime | ( | FbxClassId | pClassId | ) | const `[inline, virtual]`

Search for all occurrences

Test if this class is a hierarchical children of the specified class type.

This test will be performed on the run-time class registered with the FBX SDK Manager rather than the static ClassId generated at compile time.

Parameters:

  pClassId | The class type to test against self.

Returns:
  True if the object is a hierarchical children of the type specified.

Remarks:
  This function will perform a complete search until it reaches the top level class, but it will stop as soon as one ClassId matches the test.

Definition at line 279 of file fbxplug.h.

    { return GetRuntimeClassId().Is(pClassId); }

virtual bool SetRuntimeClassId | ( | FbxClassId | pClassId | ) | `[virtual]`

Search for all occurrences

Set the run-time ClassId for this class.

In most contexts, users do not have to change the run-time ClassId, they are automatically generated when registered a new class during run-time.

Parameters:

  pClassId | The ClassId to set as the run-time ClassId for this object.

Returns:
  Unused return value, deprecated.

Remarks:
  This function is not implemented by FbxPlug, hence it will always return false. FbxObject implements this function and always return true.

Reimplemented in FbxObject.

virtual FbxClassId GetRuntimeClassId | ( |  | ) | const `[virtual]`

Search for all occurrences

Retrieve the run-time ClassId for this object.

Returns:
  The run-time ClassId for this object.

Reimplemented in FbxObject.

virtual bool IsRuntimePlug | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Find out if the ClassId was registered during run-time rather than at compile time.

Returns:
  True if the run-time ClassId is inequal to the ClassId.

Definition at line 298 of file fbxplug.h.

    { return !( GetRuntimeClassId() == GetClassId() ); }

static void SetWipeMode | ( | bool | pState | ) | `[inline, static]`

Search for all occurrences

Definition at line 309 of file fbxplug.h.

    { FbxPlug::sgWipeMode = pState; }

static bool GetWipeMode | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 310 of file fbxplug.h.

    { return FbxPlug::sgWipeMode; }

virtual void Construct | ( | const FbxPlug * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

virtual void Destruct | ( | bool | pRecursive,
|  | bool | pDependents
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented in FbxObject, FbxExporter, FbxImporter, FbxIOSettings, FbxAnimCurve, FbxAnimCurveNode, FbxAnimEvaluator, FbxCharacter, FbxContainerTemplate, FbxDocument, FbxLibrary, FbxPose, FbxSceneReference, FbxThumbnail, FbxCache, FbxCameraSwitcher, FbxGeometry, FbxGeometryWeightedMap, FbxLayerContainer, FbxLine, FbxMesh, FbxNode, FbxNurbs, FbxNurbsCurve, FbxNurbsSurface, FbxPatch, FbxSubDiv, FbxBindingOperator, and FbxProcessorShaderDependency.

## Friends And Related Function Documentation

friend class FbxProperty `[friend]`

Search for all occurrences

Reimplemented in FbxObject.

Definition at line 324 of file fbxplug.h.

friend class FbxObject `[friend]`

Search for all occurrences

Reimplemented in FbxAnimCurveBase, FbxAnimCurveNode, FbxAnimLayer, and FbxAnimStack.

Definition at line 325 of file fbxplug.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxplug.h

FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug
FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug FbxPlug